#include<bits/stdc++.h>

using namespace std;

int main()
{
    int n,m, x,y;
    long long int k;
    unsigned long long s=0;
    scanf("%d%d", &n, &m);
    long long int d[n];

    for(int i = 0; i<n; i++)
        scanf("%d", d+i);

    for(int i = 0; i<m; i++)
    {
        scanf("%d%d", &x, &y);
        k=d[x-1]+d[y-1];
        
        if(k>0) s+=k;
        else s-=k;
    }
    printf("%d", s)

    return 0;
}